GET
/
v1
/
teams
/
{teamId}
/
personas
/
voice-connection
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.personas.getPersonaVoiceConnection({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
})
{
  "connected": true,
  "keyHint": "<string>",
  "lastSyncedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

Response

Success

connected
boolean
required
keyHint
string | null
required
lastSyncedAt
string | null
required